Bug 19831 - Turn on EnhancedMessagingPreferences by default for new installations
Summary: Turn on EnhancedMessagingPreferences by default for new installations
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Charlotte Cordwell
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-12-19 07:12 UTC by Katrin Fischer
Modified: 2018-01-23 04:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19832:Turn on EnhancedMessagingPreferences by default for new installations 1)Create a new installation 2)On staff go adminisation --> and search EnchancedMessagingPreferences 3)Check that it is automaticaly on allow. If it is the it has worked. (1.84 KB, patch)
2018-01-16 02:16 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19832: Turn on EnhancedMessagingPreferences by default for new installations (1.89 KB, patch)
2018-01-16 13:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19831:Turn on EnhancedMessagingPreferences by default for new installations 1)Create a new installation 2)On staff go adminisation --> and search EnchancedMessagingPreferences 3)Check that it is automaticaly on allow. If it is the it has worked. (1.84 KB, patch)
2018-01-16 20:28 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19831: Turn on EnhancedMessagingPreferences by default for new installations (1.89 KB, patch)
2018-01-17 15:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-12-19 07:12:52 UTC
I think we should not hide the different messaging options for new installations and turn on EnhancedMessagingPreferences by default on installation.
Comment 1 Charlotte Cordwell 2018-01-16 02:16:23 UTC
Created attachment 70536 [details] [review]
Bug 19832:Turn on EnhancedMessagingPreferences by default for new installations 1)Create a new installation 2)On staff go adminisation --> and search EnchancedMessagingPreferences 3)Check that it is automaticaly on allow. If it is the it has worked.
Comment 2 Marcel de Rooy 2018-01-16 13:54:04 UTC
Created attachment 70553 [details] [review]
Bug 19832: Turn on EnhancedMessagingPreferences by default for new installations

Test plan:
1) Create a new installation
2) On staff go adminisation --> and search EnchancedMessagingPreferences
3) Check that it is automaticaly on allow. If it is the it has worked.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Charlotte Cordwell 2018-01-16 20:28:59 UTC
Created attachment 70569 [details] [review]
Bug 19831:Turn on EnhancedMessagingPreferences by default for new installations 1)Create a new installation 2)On staff go adminisation --> and search EnchancedMessagingPreferences 3)Check that it is automaticaly on allow. If it is the it has worked.
Comment 4 Marcel de Rooy 2018-01-17 08:40:12 UTC
(In reply to Charlotte Cordwell from comment #3)
> Created attachment 70569 [details] [review] [review]
> Bug 19831:Turn on EnhancedMessagingPreferences by default for new
> installations 1)Create a new installation 2)On staff go adminisation --> and
> search EnchancedMessagingPreferences 3)Check that it is automaticaly on
> allow. If it is the it has worked.

Why did you submit the patch again ?
Comment 5 Marcel de Rooy 2018-01-17 15:23:39 UTC
Created attachment 70621 [details] [review]
Bug 19831: Turn on EnhancedMessagingPreferences by default for new installations

Test plan:
1) Create a new installation
2) On staff go adminisation --> and search EnchancedMessagingPreferences
3) Check that it is automaticaly on allow. If it is the it has worked.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2018-01-17 15:25:06 UTC
(In reply to Marcel de Rooy from comment #4)
> (In reply to Charlotte Cordwell from comment #3)
> > Created attachment 70569 [details] [review] [review] [review]
> > Bug 19831:Turn on EnhancedMessagingPreferences by default for new
> > installations 1)Create a new installation 2)On staff go adminisation --> and
> > search EnchancedMessagingPreferences 3)Check that it is automaticaly on
> > allow. If it is the it has worked.
> 
> Why did you submit the patch again ?

Oh I see. Wrong bugnumber. I corrected the signed patch, because resubmitting the original one would result in loosing the signoff. (As well as additional editing; your test plan is on one line.)
Comment 7 Jonathan Druart 2018-01-19 18:35:17 UTC
As EnhancedMessagingPreferencesOPAC is turned on by default, it will affect the OPAC too, is it wanted?
I would say yes, but I prefer someone else to confirm.
Comment 8 Marcel de Rooy 2018-01-22 08:03:25 UTC
(In reply to Jonathan Druart from comment #7)
> As EnhancedMessagingPreferencesOPAC is turned on by default, it will affect
> the OPAC too, is it wanted?
> I would say yes, but I prefer someone else to confirm.

Yes, I think that is a logical step. To compare, the dbrev initialized the opac pref with the same value as the staff counterpart. A new install now does the same, while enabling them is probably preferred.
Comment 9 Jonathan Druart 2018-01-22 16:49:21 UTC
Pushed to master for 18.05
Thanks to everybody involved!
Comment 10 Nick Clemens 2018-01-23 04:18:28 UTC
Awesome work all!

Enhancement, not backported for 17.11.